import greenfoot.*;

public class Portal extends Actor
{
    Portal mirror;
    boolean foundOff;
    
    public Portal()
    {
        this(null);
    }
    
    public Portal(Portal match)
    {
        getImage().scale(20, 30);
        setMirror(match);
    }
    
    public void setMirror(Portal match)
    {
        mirror = match;
    }

    public void act()
    {
        Kara kara = (Kara)getOneObjectAtOffset(0, 0, Kara.class);
        if (kara == null) foundOff = true;
        if (foundOff && kara != null)
        {
            World gotoWorld = mirror.getWorld();
            gotoWorld.addObject(kara, mirror.getX(), mirror.getY());
            mirror.foundOff = false;
            Greenfoot.setWorld(gotoWorld);
            kara.adjustScore(8);
        }
    }
}